using System.ComponentModel.DataAnnotations;

namespace PeacePDS.Models.Entities
{
    public class DailyEntry
    {
        public int Id { get; set; }
        [Required]
        public int UserId { get; set; }
        [Required]
        public DateTime EntryDate { get; set; }
        public string? Compliment { get; set; }
        public string? Reflection { get; set; }
        public string? Gratitude { get; set; }
        public string? Journal { get; set; }
        [Required]
        public DateTime CreatedAt { get; set; } = DateTime.Now;

        // Navigation Props
        public User User { get; set; }
    }
}