using System.ComponentModel.DataAnnotations;

namespace PeacePDS.Models.Entities
{
    public class DailyTask
    {
        public int Id { get; set; }
        [Required]
        public int UserId { get; set; }
        [Required]
        public DateTime Date { get; set; }
        [Required]
        public string TaskName { get; set; }
        [Required]
        public bool IsCompleted { get; set; }
        [Required]
        public DateTime CreatedAt { get; set; } = DateTime.Now;

        // Navigation Props
        public User User { get; set; }
    }
}