﻿using System.ComponentModel.DataAnnotations;

namespace PeacePDS.Models.Entities
{
    public class UserPolicy
    {
        public int Id { get; set; }
        public int UserId { get; set; }
        [MaxLength(50)]
        public string? Policy { get; set; }
        public bool IsEnable { get; set; }
        public DateTime CreatedAt { get; set; } = DateTime.Now;

        // Navigation Props
        public User User { get; set; }
    }
}
